Download it now!
Bug 81046 - Crash
Summary: Crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.2 rc
Hardware: Other All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:4.3.2 target:4.2.7
Keywords: bibisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2014-07-08 12:15 UTC by mahesh patil
Modified: 2015-12-17 08:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
this is new docx format from microsoft (333.24 KB, application/vnd.openxmlformats-officedocument.wordprocessingml)
2014-07-08 12:15 UTC, mahesh patil
Details
console_bt with master sources (23.04 KB, text/plain)
2014-08-05 21:19 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mahesh patil 2014-07-08 12:15:41 UTC
Created attachment 102436 [details]
this is new docx format from microsoft

libreoffice crash after openning this file
Comment 1 mahesh patil 2014-07-08 12:16:50 UTC
mostly docx format files are crashed in libreoffice in mac os
Comment 2 Cor Nouws 2014-07-08 12:59:19 UTC
Hi Mahesh,

thanks for filing the issue. I can confirm this on Linux too > New

Also: opens fine in 4.2.5.2 > Regression

TODO: find fist version that has this defect.
Comment 3 Kevin Suo 2014-07-09 08:25:37 UTC
No crash for me with libreoffice 4.3.0.2, Windows XP SP3.
Comment 4 Julien Nabet 2014-08-05 21:19:09 UTC
Created attachment 104107 [details]
console_bt with master sources

On pc Debian x86-64 with master sources updated today, I could reproduce the crash.
Comment 5 Xisco Faulí 2014-08-07 12:00:15 UTC
bibisected:

d5ecc95aa8892fec6b89aa11eeb126dc0ea3eded is the first bad commit
commit d5ecc95aa8892fec6b89aa11eeb126dc0ea3eded
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun May 11 18:12:03 2014 +0000

    source-hash-e6bd9d718d9962bbb88428a31173fa607f46d45c
    
    commit e6bd9d718d9962bbb88428a31173fa607f46d45c
    Author:     Alexander Wilms <f.alexander.wilms@gmail.com>
    AuthorDate: Tue Feb 25 20:30:17 2014 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Wed Feb 26 08:19:03 2014 -0600
    
        Remove visual noise from sdext
    
        Change-Id: I792249b9e92db9af4daee0bd835e04044d29bca5
        Reviewed-on: https://gerrit.libreoffice.org/8308
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

:100644 100644 f6873a46acdfa20624137e3961a55753f7292502 1a68954be2888b014ae0d0eb82bd7f1f780b3356 M	ccache.log
:100644 100644 e141ffe3ca987be6d7166f2921295b09ec4993d2 69a5045d4229432ec50b345443d75241bc745100 M	commitmsg
:100644 100644 23c1034dc952e5be80055d89cf4543cbcc432b4b 1f66c1c84c8c503ed4c875ab50397dad89490d21 M	make.log
:040000 040000 110d704497d4e2e85b832dc252bcf3840ed0f2ad 9c39e4100825c3008f09cb2c522dc1182aa1db0c M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# bad: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect bad a900e72b6357882284c5955bdf939bf14269f5fb
# good: [e1d0365cd2b073a859f59ad0a4584385a66dc611] source-hash-2eea96c702a44ab009743b0d22ef639127f0b57b
git bisect good e1d0365cd2b073a859f59ad0a4584385a66dc611
# skip: [8f55938c891ee3e4c252b193dba9419f130537bc] source-hash-93f3f72d18e551c8edd6a010cb78d9cbe404f8ef
git bisect skip 8f55938c891ee3e4c252b193dba9419f130537bc
# bad: [7518fcaf863962bf4f6f3cdf84f6e42f0f59225f] source-hash-ab1f5eab4830f00dbbd7c883b98b59975ecd3bb1
git bisect bad 7518fcaf863962bf4f6f3cdf84f6e42f0f59225f
# good: [2e56ba511184c20aa8ada64d35e9f1d27d596790] source-hash-8be2cbc856fb5ba61203872d8f01ed8162aa4256
git bisect good 2e56ba511184c20aa8ada64d35e9f1d27d596790
# good: [6738b3ad82bbc77ce9a788be07da490e530de3ff] source-hash-43fc67adcc3bdc5efaaaf9b0d65e53e99880b18a
git bisect good 6738b3ad82bbc77ce9a788be07da490e530de3ff
# bad: [0e47d65bd5b2b2e544679d254078754fa456ce3d] source-hash-09e5de8278dd8f13adcf614db35c8a8a04ba8e47
git bisect bad 0e47d65bd5b2b2e544679d254078754fa456ce3d
# bad: [4fcd68ce4979f85fda4568f4b419a4b41d07345f] source-hash-2c4621c87ed3a7b19de195c21494c9a381e72b2e
git bisect bad 4fcd68ce4979f85fda4568f4b419a4b41d07345f
# bad: [bc8862bec54976cb779628ed7b44397b5c7be10b] source-hash-5c57c9b6eb30265fe7312ff2b4d6ce7363cf2006
git bisect bad bc8862bec54976cb779628ed7b44397b5c7be10b
# bad: [d5ecc95aa8892fec6b89aa11eeb126dc0ea3eded] source-hash-e6bd9d718d9962bbb88428a31173fa607f46d45c
git bisect bad d5ecc95aa8892fec6b89aa11eeb126dc0ea3eded
# first bad commit: [d5ecc95aa8892fec6b89aa11eeb126dc0ea3eded] source-hash-e6bd9d718d9962bbb88428a31173fa607f46d45c
Comment 6 Julien Nabet 2014-08-09 05:58:33 UTC
Xisco: I never succeed to use a bisect result with cgit. (I always get nothing or an internal server error)
Could you give the cgit link from your bisect?
Comment 7 Xisco Faulí 2014-08-11 07:43:35 UTC
Hello Julien, in this case the regression was introduced between the last good commit ( 43fc67adcc3bdc5efaaaf9b0d65e53e99880b18a ) and the first bad commit ( e6bd9d718d9962bbb88428a31173fa607f46d45c ) -> http://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=43fc67adcc3bdc5efaaaf9b0d65e53e99880b18a..e6bd9d718d9962bbb88428a31173fa607f46d45c

Let me know if you still have doubts in other cases
Comment 8 Julien Nabet 2014-08-11 08:35:25 UTC
Thank you Xisco! It works better with ".." than "-" :-)
Comment 9 Commit Notification 2014-08-12 11:08:33 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b59931d8a62f761022929f58f27d7ba22536b570

Resolves: fdo#81046 don't crash on compilers that enforce exception specs



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2014-08-12 11:20:10 UTC
IsSplitAllowed property causing some grief. Bug doc loads now at least.
Comment 11 Commit Notification 2014-08-13 11:59:54 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f75e494ad9b9a3ef6257e8eda452ab2cb9c7d6ad&h=libreoffice-4-3

Resolves: fdo#81046 don't crash on compilers that enforce exception specs


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-08-14 16:53:50 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f8fd00b8f67028c7f158e38d30e94819984a811&h=libreoffice-4-2

Resolves: fdo#81046 don't crash on compilers that enforce exception specs


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Robinson Tryon (qubit) 2015-12-17 08:25:53 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]